summaryrefslogtreecommitdiff
path: root/gen.sh
diff options
context:
space:
mode:
authorDario Nieuwenhuis <dirbaio@dirbaio.net>2020-07-21 21:40:50 +0200
committerDario Nieuwenhuis <dirbaio@dirbaio.net>2020-07-21 23:19:32 +0200
commitaf1b3fba308008907ef0ea546175f58afa366cec (patch)
treef99d01f4da13548968c2c04aaa2f7696b72f2d71 /gen.sh
downloadnrf-softdevice-af1b3fba308008907ef0ea546175f58afa366cec.zip
First commit!
Diffstat (limited to 'gen.sh')
-rwxr-xr-xgen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/gen.sh b/gen.sh
new file mode 100755
index 0000000..8710dc7
--- /dev/null
+++ b/gen.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+(cd nrf-softdevice-gen; cargo build --release)
+
+for s in mbr s112 s113 s122 s132 s140; do
+ ./nrf-softdevice-gen/target/release/nrf-softdevice-gen ./softdevice/$s/headers ./nrf-softdevice-$s/src/bindings.rs
+ (cd nrf-softdevice-$s; cargo build --target thumbv7em-none-eabihf)
+done \ No newline at end of file